ARCH-REPRO-STATUS(1)

NAME
arch-repro-status - check the reproducibility status of your Arch Linux packages

SYNOPSIS
arch-repro-status [OPTIONS]

DESCRIPTION
Check the reproducibility status of the the Arch Linux packages using data from a rebuilderd instance such as reproducible.archlinux.org. It can show the reproducibility status of:

•   packages that belong to an individual package maintainer (uses the data from archlinux.org)

•   currently installed packages on the system (uses the data from pacman local database)

You can inspect the build logs and diffoscope of the packages by enabling the interactive mode via -i.

  OPTIONS:

-q, --quiet
    Disables logging

-v, --verbose
    Increases the logging verbosity

-a, --all
    Checks all of the packages on the system

-m, --maintainer <MAINTAINER>
    Sets the username of the maintainer [env: MAINTAINER=]

-r, --rebuilderd <URL>
    Sets the address of the rebuilderd instance [env: REBUILDERD=] [default: https://reproducible.archlinux.org]

-b, --dbpath <PATH>
    Sets the path to the pacman database [env: DBPATH=] [default: /var/lib/pacman]

--repos <REPO>
    Sets the repositories to query [default: core,extra,multilib]

-n, --pkgnames <PKGNAME>
    Sets the comma-delimited list of packages to query for [env: PKGNAME=]

-f, --filter <STATUS>
    Sets the filter for package status [env: FILTER=] [possible values: GOOD, BAD, UNKWN]

-i, --inspect
    Views the build log or diffoscope of the interactively selected package

-p, --pager <PAGER>
    Sets the pager for viewing files [env: PAGER=] [default: less]

-c, --cache-dir <DIR>
    Sets the cache directory for log files [env: CACHE_DIR=]

-h, --help
    Print help information

-V, --version
    Print version information

BUGS
Report bugs at <https://gitlab.archlinux.org/archlinux/arch-repro-status/-/issues>

ABOUT

arch-repro-status is maintained by Orhun Parmaksız, and released under the MIT license. See the project homepage at <https://gitlab.archlinux.org/archlinux/arch-repro-status> for full documentation.